package com.ruoyi.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 电网供应计量-小时对象 adm_ems_pg_supply_h
 *
 * @author ruoyi
 * @date 2024-08-09
 */
public class AdmEmsPgSupplyH extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    @Excel(name = "园区代码")
    private String areaCode;

    /** 设施代码 */
    @Excel(name = "设施代码")
    private String facsCode;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 时间序列 */
    @Excel(name = "时间序列")
    private Integer timeIndex;

    /** 计量类型 */
    @Excel(name = "计量类型")
    private Integer meterType;

    /** 单位电价 */
    @Excel(name = "单位电价")
    private Double meterUnitPrice;

    /** 用电读数 */
    @Excel(name = "用电读数")
    private Double useElecReading;

    /** 用电量（kW-h） */
    @Excel(name = "用电量", readConverterExp = "k=W-h")
    private Double useElecQuantity;

    /** 用电电费（元） */
    @Excel(name = "用电电费", readConverterExp = "元=")
    private Double useElecCost;

    /** 上网读数 */
    @Excel(name = "上网读数")
    private Double upElecReading;

    /** 上网电量（kW-h） */
    @Excel(name = "上网电量", readConverterExp = "k=W-h")
    private Double upElecQuantity;

    /** 上网收益（元） */
    @Excel(name = "上网收益", readConverterExp = "元=")
    private Double upElecEarn;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAreaCode(String areaCode)
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode()
    {
        return areaCode;
    }
    public void setFacsCode(String facsCode)
    {
        this.facsCode = facsCode;
    }

    public String getFacsCode()
    {
        return facsCode;
    }
    public void setDate(Date date)
    {
        this.date = date;
    }

    public Date getDate()
    {
        return date;
    }
    public void setTime(Date time)
    {
        this.time = time;
    }

    public Date getTime()
    {
        return time;
    }
    public void setTimeIndex(Integer timeIndex)
    {
        this.timeIndex = timeIndex;
    }

    public Integer getTimeIndex()
    {
        return timeIndex;
    }
    public void setMeterType(Integer meterType)
    {
        this.meterType = meterType;
    }

    public Integer getMeterType()
    {
        return meterType;
    }
    public void setMeterUnitPrice(Double meterUnitPrice)
    {
        this.meterUnitPrice = meterUnitPrice;
    }

    public Double getMeterUnitPrice()
    {
        return meterUnitPrice;
    }
    public void setUseElecReading(Double useElecReading)
    {
        this.useElecReading = useElecReading;
    }

    public Double getUseElecReading()
    {
        return useElecReading;
    }
    public void setUseElecQuantity(Double useElecQuantity)
    {
        this.useElecQuantity = useElecQuantity;
    }

    public Double getUseElecQuantity()
    {
        return useElecQuantity;
    }
    public void setUseElecCost(Double useElecCost)
    {
        this.useElecCost = useElecCost;
    }

    public Double getUseElecCost()
    {
        return useElecCost;
    }
    public void setUpElecReading(Double upElecReading)
    {
        this.upElecReading = upElecReading;
    }

    public Double getUpElecReading()
    {
        return upElecReading;
    }
    public void setUpElecQuantity(Double upElecQuantity)
    {
        this.upElecQuantity = upElecQuantity;
    }

    public Double getUpElecQuantity()
    {
        return upElecQuantity;
    }
    public void setUpElecEarn(Double upElecEarn)
    {
        this.upElecEarn = upElecEarn;
    }

    public Double getUpElecEarn()
    {
        return upElecEarn;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("areaCode", getAreaCode())
                .append("facsCode", getFacsCode())
                .append("date", getDate())
                .append("time", getTime())
                .append("timeIndex", getTimeIndex())
                .append("meterType", getMeterType())
                .append("meterUnitPrice", getMeterUnitPrice())
                .append("useElecReading", getUseElecReading())
                .append("useElecQuantity", getUseElecQuantity())
                .append("useElecCost", getUseElecCost())
                .append("upElecReading", getUpElecReading())
                .append("upElecQuantity", getUpElecQuantity())
                .append("upElecEarn", getUpElecEarn())
                .toString();
    }
}
